import Cookies from 'js-cookie'
import store from "@/store";


const TokenKey = 'vue_admin_template_token'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  localStorage.removeItem('jy')
  localStorage.removeItem('active')
  store.dispatch('tagsView/delAllCachedViews')
  store.dispatch('tagsView/delAllVisitedViews')
}

export function sleep(ms) {
  return new Promise(resolve => setTimeout(resolve, ms));
}
